﻿@*@model RestrictedViewModel

<div class="form-group pull-left">
    <div class="radio">
        @Html.RadioButtonFor(model => model.IsRestricted, false, new { @id = "Open", @class = "iCheck", @checked = "true" })
        @Html.LabelFor(model => model.IsRestricted, string.Format("Open registration for all user"))
    </div>
    <div class="radio">
        @Html.RadioButtonFor(model => model.IsRestricted, true, new { @id = "isRestricted", @class = "iCheck" })
        @Html.LabelFor(model => model.IsRestricted, string.Format("Restricted registration for some user"))

        <div id="addUser">
            <div class="pull-left people">
                <label class="pull-left">
                    <p>Add new user</p>
                    @Html.Label("Eligible people")
                    @Html.ListBoxFor(model => model.Users, Model.MemberItems, new { @class = "chosen-select" })
                </label>
            </div>
        </div>
    </div>
</div>

@Styles.Render("~/Content/chosen.css")
@Scripts.Render("~/Scripts/chosen.jquery.min.js", "~/Scripts/chosen.proto.min.js", "~/Scripts/jquery.validate.min.js", "~/Scripts/jquery.validate.unobtrusive.min.js")

<script type="text/javascript">
    $(document).ready(function () {

        if ($("#Open").is(":checked")) {
            $("#addUser").hide();
        }

        $("#Open").on("ifChecked", function () {
            $("#addUser").hide('slow');
        });

        $("#isRestricted").on("ifChecked", function () {
            $("#addUser").show('slow');
        });

        InitialChosen();
    });
    function InitialChosen() {
        $(".chosen-select").chosen('destroy');
        $(".chosen-select").chosen({
            no_results_text: "Oops, nothing found!",
            width: "100%"
        });
    }
</script>*@
